<?xml version="1.0" encoding="windows-1250"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="cheng3_uci"
	ProjectGUID="{F558B781-1EBF-4EA6-9A03-5D5359D44DCA}"
	RootNamespace="cheng3_micro"
	Keyword="Win32Proj"
	TargetFrameworkVersion="196613"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="gtbcode/sysport;gtbcode/compression;gtbcode/compression/lzma;gtbcode/compression/zlib;gtbcode/compression/huffman;gtbcode/compression/liblzf"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;Z_PREFIX"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="true"
				FavorSizeOrSpeed="1"
				OmitFramePointers="true"
				EnableFiberSafeOptimizations="true"
				AdditionalIncludeDirectories="gtbcode/sysport;gtbcode/compression;gtbcode/compression/lzma;gtbcode/compression/zlib;gtbcode/compression/huffman;gtbcode/compression/liblzf"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_SECURE_SCL=0;Z_PREFIX"
				ExceptionHandling="0"
				RuntimeLibrary="0"
				EnableFunctionLevelLinking="true"
				RuntimeTypeInfo="false"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				DebugInformationFormat="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateManifest="false"
				GenerateDebugInformation="false"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				OptimizeForWindows98="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			ConfigurationType="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(PlatformName)\$(ConfigurationName)"
			IntermediateDirectory="$(PlatformName)\$(ConfigurationName)"
			ConfigurationType="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				InlineFunctionExpansion="2"
				EnableIntrinsicFunctions="true"
				FavorSizeOrSpeed="1"
				OmitFramePointers="true"
				EnableFiberSafeOptimizations="true"
				AdditionalIncludeDirectories="gtbcode/sysport;gtbcode/compression;gtbcode/compression/lzma;gtbcode/compression/zlib;gtbcode/compression/huffman;gtbcode/compression/liblzf"
				PreprocessorDefinitions="_SECURE_SCL=0;WIN32;NDEBUG;_CONSOLE;Z_PREFIX"
				ExceptionHandling="0"
				RuntimeTypeInfo="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\bitboard.cpp"
				>
			</File>
			<File
				RelativePath=".\biteval.cpp"
				>
			</File>
			<File
				RelativePath=".\bithistory.cpp"
				>
			</File>
			<File
				RelativePath=".\bitkpk.cpp"
				>
			</File>
			<File
				RelativePath=".\bitmagic.cpp"
				>
			</File>
			<File
				RelativePath=".\bitmovegen.cpp"
				>
			</File>
			<File
				RelativePath=".\bitpersonality.cpp"
				>
			</File>
			<File
				RelativePath=".\bitpsq.cpp"
				>
			</File>
			<File
				RelativePath=".\bitsearch.cpp"
				>
			</File>
			<File
				RelativePath=".\bitsee.cpp"
				>
			</File>
			<File
				RelativePath=".\bittables.cpp"
				>
			</File>
			<File
				RelativePath=".\bittrans.cpp"
				>
			</File>
			<File
				RelativePath=".\board.cpp"
				>
			</File>
			<File
				RelativePath=".\book.cpp"
				>
			</File>
			<File
				RelativePath=".\cheng3.cpp"
				>
			</File>
			<File
				RelativePath=".\gtbwrapper.cpp"
				>
			</File>
			<File
				RelativePath=".\move.cpp"
				>
			</File>
			<File
				RelativePath=".\piece.cpp"
				>
			</File>
			<File
				RelativePath=".\zobrist.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\bitboard.h"
				>
			</File>
			<File
				RelativePath=".\biteval.h"
				>
			</File>
			<File
				RelativePath=".\bithistory.h"
				>
			</File>
			<File
				RelativePath=".\bitkpk.h"
				>
			</File>
			<File
				RelativePath=".\bitmagic.h"
				>
			</File>
			<File
				RelativePath=".\bitmovegen.h"
				>
			</File>
			<File
				RelativePath=".\bitpersonality.h"
				>
			</File>
			<File
				RelativePath=".\bitpsq.h"
				>
			</File>
			<File
				RelativePath=".\bitsearch.h"
				>
			</File>
			<File
				RelativePath=".\bittables.h"
				>
			</File>
			<File
				RelativePath=".\bittrans.h"
				>
			</File>
			<File
				RelativePath=".\board.h"
				>
			</File>
			<File
				RelativePath=".\book.h"
				>
			</File>
			<File
				RelativePath=".\gtbwrapper.h"
				>
			</File>
			<File
				RelativePath=".\kpk.h"
				>
			</File>
			<File
				RelativePath=".\move.h"
				>
			</File>
			<File
				RelativePath=".\piece.h"
				>
			</File>
			<File
				RelativePath=".\rephash.h"
				>
			</File>
			<File
				RelativePath=".\search.h"
				>
			</File>
			<File
				RelativePath=".\types.h"
				>
			</File>
			<File
				RelativePath=".\zobrist.h"
				>
			</File>
		</Filter>
		<Filter
			Name="mcore"
			>
			<File
				RelativePath=".\core\core.h"
				>
			</File>
			<File
				RelativePath=".\core\encoding.cpp"
				>
			</File>
			<File
				RelativePath=".\core\encoding.h"
				>
			</File>
			<File
				RelativePath=".\core\microcore.cpp"
				>
			</File>
			<File
				RelativePath=".\core\microcore.h"
				>
			</File>
			<File
				RelativePath=".\core\string.cpp"
				>
			</File>
			<File
				RelativePath=".\core\string.h"
				>
			</File>
			<File
				RelativePath=".\core\types.h"
				>
			</File>
		</Filter>
		<Filter
			Name="gtbcode"
			>
			<File
				RelativePath=".\gtbcode\gtb-att.c"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-att.h"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-dec.c"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-dec.h"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-probe.c"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-probe.h"
				>
			</File>
			<File
				RelativePath=".\gtbcode\gtb-types.h"
				>
			</File>
			<Filter
				Name="compression"
				>
				<File
					RelativePath=".\gtbcode\compression\wrap.c"
					>
				</File>
				<File
					RelativePath=".\gtbcode\compression\wrap.h"
					>
				</File>
				<Filter
					Name="lzma"
					>
					<File
						RelativePath=".\gtbcode\compression\lzma\Alloc.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Alloc.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Bra.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Bra86.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzFind.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzFind.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzFindMt.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzHash.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Lzma86Dec.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Lzma86Dec.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Lzma86Enc.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Lzma86Enc.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzmaDec.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzmaDec.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzmaEnc.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\LzmaEnc.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\lzma\Types.h"
						>
					</File>
				</Filter>
				<Filter
					Name="huffman"
					>
					<File
						RelativePath=".\gtbcode\compression\huffman\hzip.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\huffman\hzip.h"
						>
					</File>
				</Filter>
				<Filter
					Name="liblzf"
					>
					<File
						RelativePath=".\gtbcode\compression\liblzf\lzf.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\liblzf\lzf_c.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\liblzf\lzf_d.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\liblzf\lzfP.h"
						>
					</File>
				</Filter>
				<Filter
					Name="zlib"
					>
					<File
						RelativePath=".\gtbcode\compression\zlib\adler32.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\crc32.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\crc32.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\deflate.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\deflate.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\infback.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inffast.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inffast.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inffixed.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inflate.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inflate.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inftrees.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\inftrees.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\trees.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\trees.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\uncompr.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\zcompress.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\zlib.h"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\zutil.c"
						>
					</File>
					<File
						RelativePath=".\gtbcode\compression\zlib\zutil.h"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="sysport"
				>
				<File
					RelativePath=".\gtbcode\sysport\sysport.c"
					>
				</File>
				<File
					RelativePath=".\gtbcode\sysport\sysport.h"
					>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
